local helper = require('scenario/scenariohelper')
local gravityCommand = 'obj:setGravity(-9.81)'

local function onScenarioChange(scenario)
	if scenario.state == 'pre-start' then
		local gravityCommand = 'obj:setGravity(-9.81)'
		thePlayer:queueLuaCommand(gravityCommand)
	end
end

local function onRaceWaypoint(data)
	local thePlayer = scenetree.findObject('scenario_player0')
    if data.waypointName == 'WayPoint2' or data.waypointName == 'WayPoint10' or data.waypointName == 'WayPoint18' then
		helper.flashUiMessage('Mercury', 5) 
		gravityCommand = 'obj:setGravity(-3.8)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint3' or data.waypointName == 'WayPoint11' then
		helper.flashUiMessage('Venus', 5) 
		gravityCommand = 'obj:setGravity(-8.8)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint4' or data.waypointName == 'WayPoint12' then
		helper.flashUiMessage('Earth', 5) 
		gravityCommand = 'obj:setGravity(-9.81)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint5' or data.waypointName == 'WayPoint13' then
		helper.flashUiMessage('Mars', 5) 
		gravityCommand = 'obj:setGravity(-3.8)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint6' or data.waypointName == 'WayPoint14' then
		helper.flashUiMessage('Jupiter', 5) 
		gravityCommand = 'obj:setGravity(-25)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint7' or data.waypointName == 'WayPoint15' then
		helper.flashUiMessage('Saturn', 5) 
		gravityCommand = 'obj:setGravity(-10.4)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint8' or data.waypointName == 'WayPoint16' then
		helper.flashUiMessage('Uranus', 5) 
		gravityCommand = 'obj:setGravity(-10.4)'
		thePlayer:queueLuaCommand(gravityCommand)
	elseif data.waypointName == 'WayPoint9' or data.waypointName == 'WayPoint17' then
		helper.flashUiMessage('Neptune', 5) 
		gravityCommand = 'obj:setGravity(-13.8)'
		thePlayer:queueLuaCommand(gravityCommand)
    end
end

return {
	onRaceWaypoint = onRaceWaypoint,
	onScenarioChange = onScenarioChange
}